xSimplifyNet | R Documentation

## Function to simplify networks from an igraph object

### Description

`xSimplifyNet` is supposed to simplify networks from an igraph object by keeping root-tip shortest paths only.

### Usage

    xSimplifyNet(g, verbose = TRUE)

### Arguments

`g` | an "igraph" object
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to true for display

### Value

an object of class "igraph"

### Note

none

### See Also

`xSimplifyNet`

### Examples

    ## Not run:
    # Load the library
    library(XGR)

    ## End(Not run)

    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    g <- xRDataLoader(RData.customised='ig.DO',
    RData.location=RData.location)
    ig <- xSimplifyNet(g)

    ## End(Not run)